Lock a chat in a community you moderate
POST /api/member/chats/{chatId}/lock. Lock a chat in a community you moderate. Headless LMS Chats API reference.
For a moderator who is a member of the community. Nobody can send or edit messages until it is unlocked; its open message flags are resolved as locked. Locking a locked chat returns it unchanged.
Path Parameters
chatId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/chats/string/lock"{ "orgId": "string", "id": "string", "communityId": "string", "kind": "direct", "status": "pending", "createdBy": "string", "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}